html,body {
font-family: Arial, Helvetica, sans-serif;
margin: 5;
padding-top: 4vh;/* Add padding to prevent content from being hidden under the fixed div */
}
.msg-container {
background: #fafafa;
padding: 10px;
max-width: 100%;
height: 85vh;
overflow-y: auto;
}
.tooltip-container {
    position: relative;
    display: inline-block;
}
.tooltip-text {
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s, transform 0.3s;
    width: auto;
    min-width: 50px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 4px;
    padding: 6px 12px;
    font-size: 14px;
    white-space: nowrap;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    position: absolute;
    z-index: 1000;
    top: 100%;
    left: 100%;
    transform: translateX(-10px) translateY(10px);
}
.tooltip-container:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
    transform: translateX(0px) translateY(5px);
}
